# String Builder

### StringBuilder <a href="#stringbuilder" id="stringbuilder"></a>

**StringBuilder** is used to concatenate strings when building up a string in a loop.

StringBuilder is used in conjunction with the **SetValue** function. Drag a SetValue function below the StringBuilder function to assign more strings using the SetValue target property.

***

### Properties <a href="#properties" id="properties"></a>

#### Value <a href="#value" id="value"></a>

The initial value of the string to build.

### Definition <a href="#definition" id="definition"></a>

#### Value <a href="#value" id="value"></a>

The string built up so far.

#### Append <a href="#append" id="append"></a>

A write-only variable that can be used to add a string to the end of the current string.

To use, select 'Append' from the drop-down list of the *Target* property of the [SetValue](/reference/plugins/linx/content/setvalue.md) function, and enter the value that must be appended in the *Source* property.

#### AppendLine <a href="#appendline" id="appendline"></a>

A write-only variable that can be used to add a string to the end of the current string, and adds a line-terminator afterwards.

To use, select 'AppendLine' from the drop-down list of the *Target* property of the [SetValue](/reference/plugins/googlesheets/content/values/batchgetvaluesbydatafilter.md) function, and enter the value that must be appended in the *Source* property.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/text/content/stringbuilder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
